#
# spec file for package tetex (Version 0.4pl8)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  dialog ed

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         tetex
Release:      26
Copyright:    
Group: 
Provides:     TeX dvips gentle lametex pictex xtexsh 
Requires: 
Conflicts:    ntex
Autoreqprov:  on
Packager:     feedback@suse.de

Summary:      TeX, LaTeX, BibTeX, makeindex, MetaFont, MetaPost, dvips, xdvi
Version:      0.4pl8
Source0: teTeX-lib-0.4pl8.tar.gz
Source1: ec-ready-mf-tfm.tar.gz
Source2: teTeX-src-0.4pl7.tar.gz
Source3: texmf-src-0.4pl8.tar.gz
Source4: README.texmf-src
Patch:   teTeX-src-0.4.dif
%description
After installing teTeX you will find a large selection of documentation
for TeX, LaTeX, and various layout styles under /usr/lib/teTeX/texmf/doc.
TeX (pronounced tech) is an interpreter for text formating and was
developed by Donald E. Knuth.  It works with control and macro
commands on a text file.
Working with TeX is similar to good old typesetting methods.
LaTeX or better LaTeX2e is a complex macro package which  removes
the cryptical TeX interface, and does most of the work for the user.
TeX uses special fonts produced by the MetaFont program.
Various printer drivers and an X11 viewer is also included in this package.
The teTeX package is based on the standard  TeX package of Karl Berry
which makes configuration much easier.
It's also possible to use PostScript fonts;  a real PostScript printer is
required however.
If the ghostscript (gs) package is installed all drivers for
printing and viewing can use these fonts. Note,  however that the
fonts included in the ghostscript package are not identical
to Adobe's PostScript fonts. The copyright  prohibits us from
including them on the CD.
Beside these features there are the programs MakeIndex (for producing
indexes), BibTeX (for literature data-processing), and the script xtexsh
(requires tcl/tk).
Note the differences between LaTeX2.09 and LaTeX2e.
LaTeX2e can process original LaTeX2.09 text  but
style files that require LaTeX2.09 internal macros may
not work correctly.  Under /usr/lib/teTeX/texmf/doc/latex/base/
you will find the documentation for LaTeX2e.  New users
should review the documentation stored there.
The teTeX package from Thomas Esser includes a full
texmf tree, many programs (tex, dvips, ...), shell scripts
configuration, and a big collection of documentations.
This package is simple configured by the script texconfig
and has thereby multi-language options.
Do NOT install this package together with ntex!
teTeX is NOT an upgrade or update for the ntex package!!

Authors:
--------
    Karl Berry
    Tim Morgan
    Tomas Rokicki
    Donald Ervin Knuth
    Thomas Esser <te@informatik.uni-hannover.de>

%prep
#####################################################################################
if [ -d $RPM_BUILD_ROOT/usr/lib/teTeX/ ] ; then
    set +x
    echo "Warning: Building this source package would overwrite your installed tetex" 1>&2
    echo "         Please save or remove tetex." 1>&2
    echo "Achtung: Das bersetzen diese Quellpaketes wrde Ihre tetex-Installation" 1>&2
    echo "         berschreiben.  Bitte sichern oder deinstallieren Sie tetex." 1>&2 
    set -x
    exit 2
fi
tar xpSfz $RPM_SOURCE_DIR/teTeX-lib-0.4pl8.tar.gz -C $RPM_BUILD_ROOT/usr/lib
[ $? -ne 0 ] && exit $?
tar xpSfz $RPM_SOURCE_DIR/ec-ready-mf-tfm.tar.gz -C $RPM_BUILD_ROOT/usr/lib
[ $? -ne 0 ] && exit $?
chown -R root:root $RPM_BUILD_ROOT/usr/lib/teTeX
mkdir -p $RPM_BUILD_ROOT/var/texfonts
chmod 1777 $RPM_BUILD_ROOT/var/texfonts
touch $RPM_BUILD_ROOT/var/texfonts/ls-R
chmod 0666 $RPM_BUILD_ROOT/var/texfonts/ls-R
chown -R root:root $RPM_BUILD_ROOT/var/texfonts
rm -fr $RPM_BUILD_ROOT/usr/lib/teTeX/man/cat1
rm -fr $RPM_BUILD_ROOT/usr/lib/teTeX/man/cat5
rm -f  $RPM_BUILD_ROOT/usr/lib/teTeX/man/man1/info.1
rm -f  $RPM_BUILD_ROOT/usr/lib/teTeX/info/texinfo*
rm -f  $RPM_BUILD_ROOT/usr/lib/teTeX/info/info*
rm -f  $RPM_BUILD_ROOT/usr/lib/teTeX/info/makeinfo.info
#####################################################################################
%setup -n teTeX-src-0.4 -T -b2
%patch
#####################################################################################
cp suse.patch/config.ps `find $RPM_BUILD_ROOT/usr/lib/teTeX -name config.ps`
cp suse.patch/fancyheadings.sty `find $RPM_BUILD_ROOT/usr/lib/teTeX -name fancyheadings.sty`
mkdir -p $RPM_BUILD_ROOT/usr/lib/teTeX/texmf/tex/latex/misc/fd
cp suse.patch/fd/*.fd $RPM_BUILD_ROOT/usr/lib/teTeX/texmf/tex/latex/misc/fd
chown -R root:root $RPM_BUILD_ROOT/usr/lib/teTeX
#####################################################################################
%build
GCCVER="`gcc -dumpversion`"
if [ "${GCCVER%%-*}" = "egcs" ] ; then
    XCFLAGS="-O2 -fno-force-mem -fno-force-addr -fno-omit-frame-pointer -pipe"
else
    XCFLAGS="-O2 -pipe"
fi
LDFLAGS="-s -Wl,-warn-common"
KPSEMAN=kpse-2.6/web2c/man/
RUNHIER=$RPM_BUILD_ROOT/usr/lib/teTeX
CONFHIER=/usr/lib/teTeX
TETEXCON="TETEXDIR=$CONFHIER XCFLAGS='$XCFLAGS' LDFLAGS='$LDFLAGS'"
TETEXRUN="TETEXDIR=$RUNHIER  XCFLAGS='$XCFLAGS' LDFLAGS='$LDFLAGS'"
#
# rpm aborts, if unset of an unset variable is called. So set it explicitely.
#
if test "x$TETEXDIR" != "x" ; then unset TETEXDIR; fi
eval make -i config clean "$TETEXCON"
eval make    texhash      "$TETEXRUN"
if test $? -ne 0; then exit 1; fi
eval make    all          "$TETEXRUN"
if test $? -ne 0; then exit 1; fi
( cd $KPSEMAN/; \
  rm -f *.1 ; \
  sed "s@$RUNHIER@$CONFHIER@g" < sedscript > sedscript.tmp ; \
  mv sedscript.tmp sedscript )
eval make -i manpages     "$TETEXCON"
#####################################################################################
%install
#####################################################################################
if [ "${GCCVER%%-*}" = "egcs" ] ; then
    XCFLAGS="-O2 -fno-force-mem -fno-force-addr -fno-omit-frame-pointer -pipe"
else
    XCFLAGS="-O2 -pipe"
fi
LDFLAGS="-s -Wl,-warn-common"
TETEXRUN="TETEXDIR=/usr/lib/teTeX XCFLAGS='$XCFLAGS' LDFLAGS='$LDFLAGS'"
#
if test "x$TETEXDIR" != "x" ; then unset TETEXDIR; fi
eval make install "$TETEXRUN"
if test $? -ne 0; then exit 1; fi
#
eval make ini    "$TETEXRUN"
if test $? -ne 0; then exit 1; fi
#
cp kpse-2.6/kpathsea/texmf.cnf /usr/lib/teTeX/
gzip -vf9 /usr/lib/teTeX/man/man1/*.1
gzip -vf9 /usr/lib/teTeX/man/man5/*.5
gzip -vf9 /usr/lib/teTeX/man/whatis
gzip -vf9 `find /usr/lib/teTeX/info/ -not -name '*dir*' -and -not -name README -and -type f`
(cd /usr/bin/ ;             rm -f TeX  ; ln -sf ../lib/teTeX/bin/i386-linux TeX )
(cd /usr/man/man1/ ; \
    for f in ../../lib/teTeX/man/man1/*.gz ; do rm -f `basename $f` ; done ; \
    ln -sf   ../../lib/teTeX/man/man1/*.gz . )
(cd /usr/man/man5/ ; \
    for f in ../../lib/teTeX/man/man5/*.gz ; do rm -f `basename $f` ; done ; \
    ln -sf   ../../lib/teTeX/man/man5/*.gz . )
(cd /usr/info/ ; \
    for f in ../lib/teTeX/info/*.gz ;        do rm -f `basename $f` ; done ; \
    ln -sf   ../lib/teTeX/info/*.gz . )
ln -sf alldc.1.gz /usr/man/man1/allec.1.gz
ln -sf allec      /usr/lib/teTeX/bin/i386-linux/alldc
#
rm -rf /usr/doc/packages/tetex
mkdir -p /usr/doc/packages/tetex
(cd /usr/doc/packages/tetex/ ; ln -sf ../../../lib/teTeX/texmf/doc . )
#
rm -rf /usr/lib/teTeX/bin/i386-linux/texi2html
rm -rf /usr/lib/teTeX/bin/i386-linux/texi2dvi
#
install -m 0744 suse.patch/SuSEconfig.tetex /sbin/conf.d/
#
# Some missing files of KOMA
#
SOURCE=$RPM_SOURCE_DIR/texmf-src-0.4pl8.tar.gz
  KOMA=source/latex/koma-script
KOMADOC="$KOMA/readme.txt $KOMA/komabug.tex $KOMA/example.bib"
KOMASRC="$KOMA/birthday.bst $KOMA/birthday.tex $KOMA/scrguide.ist"
KOMASRC="$KOMASRC $KOMA/addrconv.bst $KOMA/addrconv.tex"
DOCKOMA=/usr/lib/teTeX/texmf/doc/latex/koma-script
SRCKOMA=/usr/lib/teTeX/texmf/tex/latex/koma-script
for d in $KOMADOC ; do
    tar Oxvfz $SOURCE $d > ${DOCKOMA}/${d##*/}
done
for d in $KOMASRC ; do
    tar Oxvfz $SOURCE $d > ${SRCKOMA}/${d##*/}
done
#
TETEXDIR=/usr/lib/teTeX
PATH=$PATH:/usr/bin/TeX
export TETEXDIR PATH
texconfig mode ljfour
texconfig xdvi a4
texconfig dvips mode ljfour
texconfig dvips paper a4
texconfig dvips printcmd -
texconfig dvips add bjc600
texconfig dvips add stcolor
texconfig dvips add deskjet
texconfig dvips add ljet4
texconfig dvips -P bjc600  mode canonbjc
texconfig dvips -P stcolor mode epstylus
texconfig dvips -P deskjet mode deskjet
texconfig dvips -P ljet4   mode ljfour
texconfig font vardir /var/texfonts
texconfig font options varfonts stickydir
texhash
find /usr/lib/teTeX/ -exec chmod -c go-w '{}' \;
find /usr/lib/teTeX/ -exec touch '{}' \;
rm -f  /usr/lib/teTeX/texmf/ls-R
ln -sf /var/texfonts/ls-R /usr/lib/teTeX/texmf/ls-R
chmod 0666 /var/texfonts/ls-R
#
Check
#####################################################################################
%post
mkdir -p var/adm/SuSEconfig
touch var/adm/SuSEconfig/run-texhash
%files
/sbin/conf.d/SuSEconfig.tetex
/usr/bin/TeX
%dir /usr/doc/packages/tetex/
/usr/doc/packages/tetex/doc
%doc /usr/info/dvips.info-1.gz
%doc /usr/info/dvips.info-2.gz
%doc /usr/info/dvips.info-3.gz
%doc /usr/info/dvips.info.gz
%doc /usr/info/fontname.info-1.gz
%doc /usr/info/fontname.info-2.gz
%doc /usr/info/fontname.info-3.gz
%doc /usr/info/fontname.info-4.gz
%doc /usr/info/fontname.info-5.gz
%doc /usr/info/fontname.info.gz
%doc /usr/info/kpathsea.info-1.gz
%doc /usr/info/kpathsea.info-2.gz
%doc /usr/info/kpathsea.info-3.gz
%doc /usr/info/kpathsea.info.gz
%doc /usr/info/latex-1.gz
%doc /usr/info/latex-2.gz
%doc /usr/info/latex-3.gz
%doc /usr/info/latex.gz
%dir /usr/lib/teTeX/
/usr/lib/teTeX/README
%dir /usr/lib/teTeX/bin/
/usr/lib/teTeX/bin/README
/usr/lib/teTeX/bin/i386-linux/
%dir /usr/lib/teTeX/info/
%doc /usr/lib/teTeX/info/README
%doc /usr/lib/teTeX/info/dir
%doc /usr/lib/teTeX/info/dvips.info-1.gz
%doc /usr/lib/teTeX/info/dvips.info-2.gz
%doc /usr/lib/teTeX/info/dvips.info-3.gz
%doc /usr/lib/teTeX/info/dvips.info.gz
%doc /usr/lib/teTeX/info/fontname.info-1.gz
%doc /usr/lib/teTeX/info/fontname.info-2.gz
%doc /usr/lib/teTeX/info/fontname.info-3.gz
%doc /usr/lib/teTeX/info/fontname.info-4.gz
%doc /usr/lib/teTeX/info/fontname.info-5.gz
%doc /usr/lib/teTeX/info/fontname.info.gz
%doc /usr/lib/teTeX/info/kpathsea.info-1.gz
%doc /usr/lib/teTeX/info/kpathsea.info-2.gz
%doc /usr/lib/teTeX/info/kpathsea.info-3.gz
%doc /usr/lib/teTeX/info/kpathsea.info.gz
%doc /usr/lib/teTeX/info/latex-1.gz
%doc /usr/lib/teTeX/info/latex-2.gz
%doc /usr/lib/teTeX/info/latex-3.gz
%doc /usr/lib/teTeX/info/latex.gz
%doc /usr/lib/teTeX/info/localdir
%dir /usr/lib/teTeX/man/
%dir /usr/lib/teTeX/man/man1/
%doc /usr/lib/teTeX/man/man1/afm2tfm.1.gz
%doc /usr/lib/teTeX/man/man1/allcm.1.gz
%doc /usr/lib/teTeX/man/man1/alldc.1.gz
%doc /usr/lib/teTeX/man/man1/allneeded.1.gz
%doc /usr/lib/teTeX/man/man1/amslatex.1.gz
%doc /usr/lib/teTeX/man/man1/amstex.1.gz
%doc /usr/lib/teTeX/man/man1/append_db.1.gz
%doc /usr/lib/teTeX/man/man1/bibtex.1.gz
%doc /usr/lib/teTeX/man/man1/dvilj.1.gz
%doc /usr/lib/teTeX/man/man1/dvips.1.gz
%doc /usr/lib/teTeX/man/man1/dvired.1.gz
%doc /usr/lib/teTeX/man/man1/dvitype.1.gz
%doc /usr/lib/teTeX/man/man1/etex.1.gz
%doc /usr/lib/teTeX/man/man1/fontexport.1.gz
%doc /usr/lib/teTeX/man/man1/fontimport.1.gz
%doc /usr/lib/teTeX/man/man1/gftodvi.1.gz
%doc /usr/lib/teTeX/man/man1/gftopk.1.gz
%doc /usr/lib/teTeX/man/man1/gftype.1.gz
%doc /usr/lib/teTeX/man/man1/gsftopk.1.gz
%doc /usr/lib/teTeX/man/man1/initex.1.gz
%doc /usr/lib/teTeX/man/man1/lamstex.1.gz
%doc /usr/lib/teTeX/man/man1/latex.1.gz
%doc /usr/lib/teTeX/man/man1/mag.1.gz
%doc /usr/lib/teTeX/man/man1/makeindex.1.gz
%doc /usr/lib/teTeX/man/man1/mf.1.gz
%doc /usr/lib/teTeX/man/man1/mft.1.gz
%doc /usr/lib/teTeX/man/man1/mp.1.gz
%doc /usr/lib/teTeX/man/man1/patgen.1.gz
%doc /usr/lib/teTeX/man/man1/pfb2pfa.1.gz
%doc /usr/lib/teTeX/man/man1/pk2bm.1.gz
%doc /usr/lib/teTeX/man/man1/pktogf.1.gz
%doc /usr/lib/teTeX/man/man1/pktype.1.gz
%doc /usr/lib/teTeX/man/man1/pltotf.1.gz
%doc /usr/lib/teTeX/man/man1/pooltype.1.gz
%doc /usr/lib/teTeX/man/man1/ps2frag.1.gz
%doc /usr/lib/teTeX/man/man1/ps2pk.1.gz
%doc /usr/lib/teTeX/man/man1/slitex.1.gz
%doc /usr/lib/teTeX/man/man1/tangle.1.gz
%doc /usr/lib/teTeX/man/man1/tex.1.gz
%doc /usr/lib/teTeX/man/man1/texconfig.1.gz
%doc /usr/lib/teTeX/man/man1/texhash.1.gz
%doc /usr/lib/teTeX/man/man1/tftopl.1.gz
%doc /usr/lib/teTeX/man/man1/vftovp.1.gz
%doc /usr/lib/teTeX/man/man1/virtex.1.gz
%doc /usr/lib/teTeX/man/man1/vptovf.1.gz
%doc /usr/lib/teTeX/man/man1/weave.1.gz
%doc /usr/lib/teTeX/man/man1/xdvi.1.gz
%dir /usr/lib/teTeX/man/man5/
%doc /usr/lib/teTeX/man/man5/ls-R.5.gz
%doc /usr/lib/teTeX/man/whatis.gz
%config /usr/lib/teTeX/texmf.cnf
%dir /usr/lib/teTeX/texmf/
/usr/lib/teTeX/texmf/bibtex/
%doc /usr/lib/teTeX/texmf/doc/
/usr/lib/teTeX/texmf/dvips/base/
%dir /usr/lib/teTeX/texmf/dvips/
%dir /usr/lib/teTeX/texmf/dvips/config/
%config /usr/lib/teTeX/texmf/dvips/config/config.bjc600
%config /usr/lib/teTeX/texmf/dvips/config/config.deskjet
%config /usr/lib/teTeX/texmf/dvips/config/config.dfaxhigh
%config /usr/lib/teTeX/texmf/dvips/config/config.dfaxlo
%config /usr/lib/teTeX/texmf/dvips/config/config.dvired
%config /usr/lib/teTeX/texmf/dvips/config/config.epsf
%config /usr/lib/teTeX/texmf/dvips/config/config.ljet4
%config /usr/lib/teTeX/texmf/dvips/config/config.ps
%config /usr/lib/teTeX/texmf/dvips/config/config.stcolor
/usr/lib/teTeX/texmf/dvips/gsftopk/
/usr/lib/teTeX/texmf/dvips/misc/
/usr/lib/teTeX/texmf/dvips/psfrag/
/usr/lib/teTeX/texmf/dvips/pstricks/
/usr/lib/teTeX/texmf/dvips/xypic/
/usr/lib/teTeX/texmf/fontname/
/usr/lib/teTeX/texmf/fonts/
/usr/lib/teTeX/texmf/lists/
/usr/lib/teTeX/texmf/ls-R
/usr/lib/teTeX/texmf/makeindex/
/usr/lib/teTeX/texmf/maketex/
/usr/lib/teTeX/texmf/metafont/
/usr/lib/teTeX/texmf/metapost/
/usr/lib/teTeX/texmf/mft/
%dir /usr/lib/teTeX/texmf/tex/
/usr/lib/teTeX/texmf/tex/amstex/
/usr/lib/teTeX/texmf/tex/eplain/
%dir /usr/lib/teTeX/texmf/tex/generic/
/usr/lib/teTeX/texmf/tex/generic/babel/
%dir /usr/lib/teTeX/texmf/tex/generic/config/
%config /usr/lib/teTeX/texmf/tex/generic/config/hyphen.tex
%config /usr/lib/teTeX/texmf/tex/generic/config/language.dat
/usr/lib/teTeX/texmf/tex/generic/dvips/
/usr/lib/teTeX/texmf/tex/generic/hyphen/
/usr/lib/teTeX/texmf/tex/generic/misc/
/usr/lib/teTeX/texmf/tex/generic/pictex/
/usr/lib/teTeX/texmf/tex/generic/pstricks/
/usr/lib/teTeX/texmf/tex/generic/texdraw/
/usr/lib/teTeX/texmf/tex/generic/xypic/
/usr/lib/teTeX/texmf/tex/latex/
/usr/lib/teTeX/texmf/tex/plain/
/usr/lib/teTeX/texmf/tex/texinfo/
/usr/lib/teTeX/texmf/texconfig/
/usr/lib/teTeX/texmf/updates.dat
/usr/lib/teTeX/texmf/web2c/
%dir /usr/lib/teTeX/texmf/xdvi/
%config /usr/lib/teTeX/texmf/xdvi/XDvi
%doc /usr/man/man1/afm2tfm.1.gz
%doc /usr/man/man1/allcm.1.gz
%doc /usr/man/man1/alldc.1.gz
%doc /usr/man/man1/allec.1.gz
%doc /usr/man/man1/allneeded.1.gz
%doc /usr/man/man1/amslatex.1.gz
%doc /usr/man/man1/amstex.1.gz
%doc /usr/man/man1/append_db.1.gz
%doc /usr/man/man1/bibtex.1.gz
%doc /usr/man/man1/dvilj.1.gz
%doc /usr/man/man1/dvips.1.gz
%doc /usr/man/man1/dvired.1.gz
%doc /usr/man/man1/dvitype.1.gz
%doc /usr/man/man1/etex.1.gz
%doc /usr/man/man1/fontexport.1.gz
%doc /usr/man/man1/fontimport.1.gz
%doc /usr/man/man1/gftodvi.1.gz
%doc /usr/man/man1/gftopk.1.gz
%doc /usr/man/man1/gftype.1.gz
%doc /usr/man/man1/gsftopk.1.gz
%doc /usr/man/man1/initex.1.gz
%doc /usr/man/man1/lamstex.1.gz
%doc /usr/man/man1/latex.1.gz
%doc /usr/man/man1/mag.1.gz
%doc /usr/man/man1/makeindex.1.gz
%doc /usr/man/man1/mf.1.gz
%doc /usr/man/man1/mft.1.gz
%doc /usr/man/man1/mp.1.gz
%doc /usr/man/man1/patgen.1.gz
%doc /usr/man/man1/pfb2pfa.1.gz
%doc /usr/man/man1/pk2bm.1.gz
%doc /usr/man/man1/pktogf.1.gz
%doc /usr/man/man1/pktype.1.gz
%doc /usr/man/man1/pltotf.1.gz
%doc /usr/man/man1/pooltype.1.gz
%doc /usr/man/man1/ps2frag.1.gz
%doc /usr/man/man1/ps2pk.1.gz
%doc /usr/man/man1/slitex.1.gz
%doc /usr/man/man1/tangle.1.gz
%doc /usr/man/man1/tex.1.gz
%doc /usr/man/man1/texconfig.1.gz
%doc /usr/man/man1/texhash.1.gz
%doc /usr/man/man1/tftopl.1.gz
%doc /usr/man/man1/vftovp.1.gz
%doc /usr/man/man1/virtex.1.gz
%doc /usr/man/man1/vptovf.1.gz
%doc /usr/man/man1/weave.1.gz
%doc /usr/man/man1/xdvi.1.gz
%doc /usr/man/man5/ls-R.5.gz
%dir /var/texfonts/
%ghost /var/texfonts/ls-R
%dir /var/texfonts/pk/
%dir /var/texfonts/tfm/

